"""empty message

Revision ID: e00fbc967707
Revises: f770a0e1b254
Create Date: 2020-01-27 15:33:19.636296

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'e00fbc967707'
down_revision = 'f770a0e1b254'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('hist_healthcheck',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uuid', sa.Text(), nullable=True),
    sa.Column('source', sa.Text(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('value', sa.Text(), nullable=True),
    sa.Column('status', sa.Text(), nullable=True),
    sa.Column('reason', sa.Text(), nullable=True),
    sa.Column('element', sa.Text(), nullable=True),
    sa.Column('created_on', sa.DateTime(), nullable=True),
    sa.Column('updated_on', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_table('hist_health')
    op.add_column('healthcheck', sa.Column('element', sa.Text(), nullable=True))
    op.add_column('healthcheck', sa.Column('uuid', sa.Text(), nullable=True))
    op.create_unique_constraint('unicity_source_name_element', 'healthcheck', ['source', 'name', 'element'])
    op.drop_constraint('unicity_source_name', 'healthcheck', type_='unique')
    op.add_column('transferts', sa.Column('step', sa.Text(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('transferts', 'step')
    op.create_unique_constraint('unicity_source_name', 'healthcheck', ['source', 'name'])
    op.drop_constraint('unicity_source_name_element', 'healthcheck', type_='unique')
    op.drop_column('healthcheck', 'uuid')
    op.drop_column('healthcheck', 'element')
    op.create_table('hist_health',
    sa.Column('created_on', postgresql.TIMESTAMP(), server_default=sa.text('now()'), autoincrement=False, nullable=True),
    sa.Column('updated_on', postgresql.TIMESTAMP(), server_default=sa.text('now()'), autoincrement=False, nullable=True),
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('source', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('name', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('status', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('reason', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('value', sa.TEXT(), autoincrement=False, nullable=True),
    sa.PrimaryKeyConstraint('id', name='hist_health_pkey')
    )
    op.drop_table('hist_healthcheck')
    # ### end Alembic commands ###
